Index: branches/comu/html/install/user_data/templates/default1/templates/mypage/login.tpl
===================================================================
--- branches/comu/html/install/user_data/templates/default1/templates/mypage/login.tpl	(revision 11729)
+++ branches/comu/html/install/user_data/templates/default1/templates/mypage/login.tpl	(revision 11730)
@@ -4,16 +4,16 @@
  * http://www.lockon.co.jp/
  *}-->
-<!--▼CONTENTS-->
+<!--¢§CONTENTS-->
 <table width="760" border="0" cellspacing="0" cellpadding="0" summary=" ">
 	<tr>
 		<td align="center" bgcolor="#ffffff">
-		<!--▼MAIN ONTENTS-->
+		<!--¢§MAIN ONTENTS-->
 		<table width="700" border="0" cellspacing="0" cellpadding="0" summary=" ">
 			<tr>
-				<td><img src="<!--{$smarty.const.URL_DIR}-->img/login/title.jpg" width="700" height="40" alt="ログイン"></td>
+				<td><img src="<!--{$smarty.const.URL_DIR}-->img/login/title.jpg" width="700" height="40" alt="¥í¥°¥¤¥ó"></td>
 			</tr>
 			<tr><td height="20"></td></tr>
 		</table>
-		<!--▼会員登録がお済みのお客様-->
+		<!--¢§²ñ°÷ÅÐÏ¿¤¬¤ªºÑ¤ß¤Î¤ªµÒÍÍ-->
 		<table width="640" border="0" cellspacing="0" cellpadding="0" summary=" ">
 			<tr>
@@ -26,14 +26,14 @@
 							<tr><td height="13"></td></tr>
 							<tr>
-								<td><img src="<!--{$smarty.const.URL_DIR}-->img/login/member.gif" width="202" height="16" alt="会員登録がお済みのお客様"></td>
+								<td><img src="<!--{$smarty.const.URL_DIR}-->img/login/member.gif" width="202" height="16" alt="²ñ°÷ÅÐÏ¿¤¬¤ªºÑ¤ß¤Î¤ªµÒÍÍ"></td>
 							</tr>
 							<tr><td height="20"></td></tr>
 						</table>
-						<!--ログインここから-->
+						<!--¥í¥°¥¤¥ó¤³¤³¤«¤é-->
 						<table width="530" border="0" cellspacing="0" cellpadding="0" summary=" ">
 						<form name="login_mypage" id="login_mypage" method="post" action="./login_check.php" onsubmit="return fnCheckLogin('login_mypage')">
 						<input type="hidden" name="mode" value="login" >
 							<tr>
-								<td class="fs12">会員の方は、登録時に入力されたメールアドレスとパスワードでログインしてください。</td>
+								<td class="fs12">²ñ°÷¤ÎÊý¤Ï¡¢ÅÐÏ¿»þ¤ËÆþÎÏ¤µ¤ì¤¿¥á¡¼¥ë¥¢¥É¥ì¥¹¤È¥Ñ¥¹¥ï¡¼¥É¤Ç¥í¥°¥¤¥ó¤·¤Æ¤¯¤À¤µ¤¤¡£</td>
 							</tr>
 							<tr><td height="10"></td></tr>
@@ -43,5 +43,5 @@
 									<tr><td height="20"></td></tr>
 									<tr>
-										<td><img src="<!--{$smarty.const.URL_DIR}-->img/login/mailadress.gif" width="92" height="13" alt="メールアドレス"></td>
+										<td><img src="<!--{$smarty.const.URL_DIR}-->img/login/mailadress.gif" width="92" height="13" alt="¥á¡¼¥ë¥¢¥É¥ì¥¹"></td>
 										<td>
 											<!--{assign var=key value="mypage_login_email"}-->
@@ -52,9 +52,9 @@
 										<td align="right"></td>
 										<!--{assign var=key value="mypage_login_memory"}-->
-										<td class="fs10n"><input type="checkbox" name="<!--{$key}-->" value="1" <!--{$tpl_login_memory|sfGetChecked:1}--> /><label for="memory">会員メールアドレスをコンピューターに記憶させる</label></td>
+										<td class="fs10n"><input type="checkbox" name="<!--{$key}-->" value="1" <!--{$tpl_login_memory|sfGetChecked:1}--> /><label for="memory">²ñ°÷¥á¡¼¥ë¥¢¥É¥ì¥¹¤ò¥³¥ó¥Ô¥å¡¼¥¿¡¼¤Ëµ­²±¤µ¤»¤ë</label></td>
 									</tr>
 									<tr><td height="10"></td></tr>
 									<tr>
-										<td><img src="<!--{$smarty.const.URL_DIR}-->img/login/password.gif" width="92" height="13" alt="パスワード"></td>
+										<td><img src="<!--{$smarty.const.URL_DIR}-->img/login/password.gif" width="92" height="13" alt="¥Ñ¥¹¥ï¡¼¥É"></td>
 										<td>
 											<!--{assign var=key value="mypage_login_pass"}-->
@@ -69,16 +69,16 @@
 							<tr>
 								<td align="center">
-									<input type="image" onmouseover="chgImgImageSubmit('<!--{$smarty.const.URL_DIR}-->img/login/b_login_on.gif',this)" onmouseout="chgImgImageSubmit('<!--{$smarty.const.URL_DIR}-->img/login/b_login.gif',this)" src="<!--{$smarty.const.URL_DIR}-->img/login/b_login.gif" width="140" height="30" alt="ログイン" name="log" id="log" /></a>
+									<input type="image" onmouseover="chgImgImageSubmit('<!--{$smarty.const.URL_DIR}-->img/login/b_login_on.gif',this)" onmouseout="chgImgImageSubmit('<!--{$smarty.const.URL_DIR}-->img/login/b_login.gif',this)" src="<!--{$smarty.const.URL_DIR}-->img/login/b_login.gif" width="140" height="30" alt="¥í¥°¥¤¥ó" name="log" id="log" /></a>
 								</td>
 							</tr>
 							<tr><td height="15"></td></tr>
 							<tr>
-								<td class="fs10">パスワードを忘れた方は<a href="<!--{$smarty.const.URL_DIR}-->forget/index.php" onclick="win01('/forgot/index.php','forget','600','400'); return false;" target="_blank">こちら</a>からパスワードの再発行を行ってください。<br>
-								メールアドレスを忘れた方は、お手数ですが、<a href="<!--{$smarty.const.URL_DIR}-->contact/index.php">お問い合わせページ</a>からお問い合わせください。</td>
+								<td class="fs10">¥Ñ¥¹¥ï¡¼¥É¤òËº¤ì¤¿Êý¤Ï<a href="<!--{$smarty.const.URL_DIR}-->forget/index.php" onclick="win01('/forgot/index.php','forget','600','400'); return false;" target="_blank">¤³¤Á¤é</a>¤«¤é¥Ñ¥¹¥ï¡¼¥É¤ÎºÆÈ¯¹Ô¤ò¹Ô¤Ã¤Æ¤¯¤À¤µ¤¤¡£<br>
+								¥á¡¼¥ë¥¢¥É¥ì¥¹¤òËº¤ì¤¿Êý¤Ï¡¢¤ª¼ê¿ô¤Ç¤¹¤¬¡¢<a href="<!--{$smarty.const.URL_DIR}-->contact/index.php">¤ªÌä¤¤¹ç¤ï¤»¥Ú¡¼¥¸</a>¤«¤é¤ªÌä¤¤¹ç¤ï¤»¤¯¤À¤µ¤¤¡£</td>
 							</tr>
 							<tr><td height="20"></td></tr>
 						</form>
 						</table>
-						<!--ログインここまで-->
+						<!--¥í¥°¥¤¥ó¤³¤³¤Þ¤Ç-->
 						</td>
 					</tr>
@@ -89,6 +89,6 @@
 			<tr><td height="20"></td></tr>
 		</table>
-		<!--▲会員登録がお済みのお客様-->
-		<!--▼まだ会員登録されていないお客様-->
+		<!--¢¥²ñ°÷ÅÐÏ¿¤¬¤ªºÑ¤ß¤Î¤ªµÒÍÍ-->
+		<!--¢§¤Þ¤À²ñ°÷ÅÐÏ¿¤µ¤ì¤Æ¤¤¤Ê¤¤¤ªµÒÍÍ-->
 		<table width="640" border="0" cellspacing="0" cellpadding="0" summary=" ">
 			<tr>
@@ -101,5 +101,5 @@
 							<tr><td height="13"></td></tr>
 							<tr>
-								<td><img src="<!--{$smarty.const.URL_DIR}-->img/login/guest.gif" width="247" height="16" alt="まだ会員登録されていないお客様"></td>
+								<td><img src="<!--{$smarty.const.URL_DIR}-->img/login/guest.gif" width="247" height="16" alt="¤Þ¤À²ñ°÷ÅÐÏ¿¤µ¤ì¤Æ¤¤¤Ê¤¤¤ªµÒÍÍ"></td>
 							</tr>
 							<tr><td height="20"></td></tr>
@@ -108,6 +108,6 @@
 						<table width="530" border="0" cellspacing="0" cellpadding="0" summary=" ">
 							<tr>
-								<td class="fs12">会員登録をすると便利なMyページをご利用いただけます。<br>
-								また、ログインするだけで、毎回お名前や住所などを入力することなくスムーズにお買い物をお楽しみいただけます。</td>
+								<td class="fs12">²ñ°÷ÅÐÏ¿¤ò¤¹¤ë¤ÈÊØÍø¤ÊMy¥Ú¡¼¥¸¤ò¤´ÍøÍÑ¤¤¤¿¤À¤±¤Þ¤¹¡£<br>
+								¤Þ¤¿¡¢¥í¥°¥¤¥ó¤¹¤ë¤À¤±¤Ç¡¢Ëè²ó¤ªÌ¾Á°¤ä½»½ê¤Ê¤É¤òÆþÎÏ¤¹¤ë¤³¤È¤Ê¤¯¥¹¥à¡¼¥º¤Ë¤ªÇã¤¤Êª¤ò¤ª³Ú¤·¤ß¤¤¤¿¤À¤±¤Þ¤¹¡£</td>
 							</tr>
 							<tr><td height="10"></td></tr>
@@ -118,5 +118,5 @@
 									<tr>
 										<td align="center">
-											<a href="<!--{$smarty.const.URL_DIR}-->entry/kiyaku.php" onmouseover="chgImg('<!--{$smarty.const.URL_DIR}-->img/login/b_gotoentry_on.gif','b_gotoentry');" onmouseout="chgImg('<!--{$smarty.const.URL_DIR}-->img/login/b_gotoentry.gif','b_gotoentry');"><img src="<!--{$smarty.const.URL_DIR}-->img/login/b_gotoentry.gif" width="130" height="30" alt="会員登録をする" border="0" name="b_gotoentry"></a>　
+											<a href="<!--{$smarty.const.URL_DIR}-->entry/kiyaku.php" onmouseover="chgImg('<!--{$smarty.const.URL_DIR}-->img/login/b_gotoentry_on.gif','b_gotoentry');" onmouseout="chgImg('<!--{$smarty.const.URL_DIR}-->img/login/b_gotoentry.gif','b_gotoentry');"><img src="<!--{$smarty.const.URL_DIR}-->img/login/b_gotoentry.gif" width="130" height="30" alt="²ñ°÷ÅÐÏ¿¤ò¤¹¤ë" border="0" name="b_gotoentry"></a>¡¡
 										</td>
 									</tr>
@@ -134,9 +134,9 @@
 			</tr>
 		</table>
-		<!--▲まだ会員登録されていないお客様-->
-		<!--▲MAIN ONTENTS-->
+		<!--¢¥¤Þ¤À²ñ°÷ÅÐÏ¿¤µ¤ì¤Æ¤¤¤Ê¤¤¤ªµÒÍÍ-->
+		<!--¢¥MAIN ONTENTS-->
 		</td>
 	</tr>
 </table>
-<!--▲CONTENTS-->
+<!--¢¥CONTENTS-->
 