Index: /branches/dev/data/Smarty/templates/admin/products/trackback_edit.tpl
===================================================================
--- /branches/dev/data/Smarty/templates/admin/products/trackback_edit.tpl	(revision 11936)
+++ /branches/dev/data/Smarty/templates/admin/products/trackback_edit.tpl	(revision 11936)
@@ -0,0 +1,143 @@
+<!--{*
+/*
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ */
+*}-->
+<!--¡ú¡ú¥á¥¤¥ó¥³¥ó¥Æ¥ó¥Ä¡ú¡ú-->
+<table width="878" border="0" cellspacing="0" cellpadding="0" summary=" ">
+<form name="form1" id="form1" method="post" action="<!--{$smarty.server.PHP_SELF|escape}-->" >
+<input type="hidden" name="mode" value="complete">
+<input type="hidden" name="review_id" value="<!--{$tpl_review_id}-->" >
+<input type="hidden" name="pre_status" value="<!--{$tpl_pre_status}-->">
+<!--{foreach key=key item=item from=$arrReview}-->
+<!--{if $key ne "mode"}-->
+<input type="hidden" name="<!--{$key}-->" value="<!--{$item|escape}-->">
+<!--{/if}-->
+<!--{/foreach}-->
+<!--{foreach key=key item=item from=$arrSearchHidden}-->
+<input type="hidden" name="<!--{$key}-->" value="<!--{$item|escape}-->">
+<!--{/foreach}-->
+	<tr valign="top">
+		<td background="<!--{$smarty.const.URL_DIR}-->img/contents/navi_bg.gif" height="402">
+			<!--¢§SUB NAVI-->
+			<!--{include file=$tpl_subnavi}-->
+			<!--¢¥SUB NAVI-->
+		</td>
+		<td class="mainbg" >
+		<table width="737" border="0" cellspacing="0" cellpadding="0" summary=" ">
+			<!--¥á¥¤¥ó¥¨¥ê¥¢-->
+			<tr>
+				<td align="center">
+				<table width="706" border="0" cellspacing="0" cellpadding="0" summary=" ">
+
+					<tr><td height="14"></td></tr>
+					<tr>
+						<td colspan="3"><img src="<!--{$smarty.const.URL_DIR}-->img/contents/main_top.jpg" width="706" height="14" alt=""></td>
+					</tr>
+					<tr>
+						<td background="<!--{$smarty.const.URL_DIR}-->img/contents/main_left.jpg"><img src="<!--{$smarty.const.URL_DIR}-->img/common/_.gif" width="14" height="1" alt=""></td>
+						<td bgcolor="#cccccc">
+						
+							<!--¢§ÅÐÏ¿¥Æ¡¼¥Ö¥ë¤³¤³¤«¤é-->
+							<table width="678" border="0" cellspacing="0" cellpadding="0" summary=" ">
+								<tr>
+									<td colspan="3"><img src="<!--{$smarty.const.URL_DIR}-->img/contents/contents_title_top.gif" width="678" height="7" alt=""></td>
+								</tr>
+								<tr>
+									<td background="<!--{$smarty.const.URL_DIR}-->img/contents/contents_title_left_bg.gif"><img src="<!--{$smarty.const.URL_DIR}-->img/contents/contents_title_left.gif" width="22" height="12" alt=""></td>
+									<td bgcolor="#636469" width="638" class="fs14n"><span class="white"><!--¥³¥ó¥Æ¥ó¥Ä¥¿¥¤¥È¥ë-->¥È¥é¥Ã¥¯¥Ð¥Ã¥¯ÀßÄê</span></td>
+									<td background="<!--{$smarty.const.URL_DIR}-->img/contents/contents_title_right_bg.gif"><img src="<!--{$smarty.const.URL_DIR}-->img/common/_.gif" width="18" height="1" alt=""></td>
+								</tr>
+								<tr>
+									<td colspan="3"><img src="<!--{$smarty.const.URL_DIR}-->img/contents/contents_title_bottom.gif" width="678" height="7" alt=""></td>
+								</tr>
+								<tr>
+									<td colspan="3"><img src="<!--{$smarty.const.URL_DIR}-->img/contents/main_bar.jpg" width="678" height="10" alt=""></td>
+								</tr>
+							</table>
+
+
+							<!--¢§ÊÔ½¸¥Æ¡¼¥Ö¥ë¤³¤³¤«¤é-->
+							<table width="678" border="0" cellspacing="1" cellpadding="8" summary=" " bgcolor="#cccccc">
+								<tr class="fs12n">
+									<td bgcolor="#f2f1ec" width="160">¾¦ÉÊÌ¾</td>
+									<td bgcolor="#ffffff" width="483"><!--{$arrTrackback.name|escape}--></td>
+								</tr>
+								<tr class="fs12n">
+									<td bgcolor="#f2f1ec" width="160">¥Ö¥í¥°Ì¾</td>
+									<td bgcolor="#ffffff" width="483"><!--{$arrTrackback.blog_name|escape}--></td>
+								</tr>
+								<tr class="fs12n">
+									<td bgcolor="#f2f1ec" width="160">¥Ö¥í¥°µ­»ö¥¿¥¤¥È¥ë</td>
+									<td bgcolor="#ffffff" width="483"><!--{$arrTrackback.title|escape}--></td>
+								</tr>
+								<tr class="fs12n">
+									<td bgcolor="#f2f1ec" width="160">¥Ö¥í¥°µ­»öÆâÍÆ</td>
+									<td bgcolor="#ffffff" width="483"><!--{$arrTrackback.excerpt|escape}--></td>
+								</tr>
+								<tr class="fs12n">
+									<td bgcolor="#f2f1ec" width="160">¥Ö¥í¥°URL</td>
+									<td bgcolor="#ffffff" width="483"><!--{$arrTrackback.url|escape}--></td>
+								</tr>
+								<tr class="fs12n">
+									<td bgcolor="#f2f1ec">Åê¹ÆÆü</td>
+									<td bgcolor="#ffffff"><!--{$arrTrackback.create_date|sfDispDBDate}--></td>
+								</tr>
+								<tr class="fs12n">
+									<td bgcolor="#f2f1ec">¾õÂÖ</td>
+									<td bgcolor="#ffffff">
+									<!--{assign var=key value="status"}-->
+									<span class="red12"><!--{$arrErr.status}--></span>
+									<select name="<!--{$key}-->" style="<!--{$arrErr.status|sfGetErrorColor}-->" >
+									<option value="" selected="selected">ÁªÂò¤·¤Æ¤¯¤À¤µ¤¤</option>
+									<!--{html_options options=$arrTrackBackStatus selected=$arrTrackback[$key]}-->
+									</select>
+									</td>
+								</tr>
+							</table>
+							<!--¢¥ÊÔ½¸¥Æ¡¼¥Ö¥ë¤³¤³¤Þ¤Ç-->
+							<table width="678" border="0" cellspacing="0" cellpadding="0" summary=" ">
+								<tr>
+									<td bgcolor="#cccccc"><img src="<!--{$smarty.const.URL_DIR}-->img/common/_.gif" width="1" height="5" alt=""></td>
+									<td><img src="<!--{$smarty.const.URL_DIR}-->img/contents/tbl_top.gif" width="676" height="7" alt=""></td>
+									<td bgcolor="#cccccc"><img src="<!--{$smarty.const.URL_DIR}-->img/common/_.gif" width="1" height="5" alt=""></td>
+								</tr>
+								<tr>
+									<td bgcolor="#cccccc"><img src="<!--{$smarty.const.URL_DIR}-->img/common/_.gif" width="1" height="10" alt=""></td>
+									<td bgcolor="#e9e7de" align="center">
+									<table border="0" cellspacing="0" cellpadding="0" summary=" ">
+										<tr>
+											<td>
+												<input type="image" onmouseover="chgImgImageSubmit('<!--{$smarty.const.URL_DIR}-->img/contents/btn_search_back_on.jpg',this);" onmouseout="chgImgImageSubmit('<!--{$smarty.const.URL_DIR}-->img/contents/btn_search_back.jpg',this);" src="<!--{$smarty.const.URL_DIR}-->img/contents/btn_search_back.jpg" width="123" height="24" alt="¸¡º÷²èÌÌ¤ËÌá¤ë" border="0" name="back" onclick="document.form1.action='./trackback.php'; fnModeSubmit('search','','');" ></a>
+												<input type="image" onMouseover="chgImgImageSubmit('<!--{$smarty.const.URL_DIR}-->img/contents/btn_regist_on.jpg',this)" onMouseout="chgImgImageSubmit('<!--{$smarty.const.URL_DIR}-->img/contents/btn_regist.jpg',this)" src="<!--{$smarty.const.URL_DIR}-->img/contents/btn_regist.jpg" width="123" height="24" alt="¤³¤ÎÆâÍÆ¤ÇÅÐÏ¿¤¹¤ë" border="0" name="subm" onclick="fnModeSubmit('complete','','');" />
+											</td>
+										</tr>
+									</table>
+									</td>
+									<td bgcolor="#cccccc"><img src="<!--{$smarty.const.URL_DIR}-->img/common/_.gif" width="1" height="10" alt=""></td>
+								</tr>
+								<tr>
+									<td colspan="3"><img src="<!--{$smarty.const.URL_DIR}-->img/contents/tbl_bottom.gif" width="678" height="8" alt=""></td>
+								</tr>
+							</table>
+							<!-- ¢¥ÅÐÏ¿¥Æ¡¼¥Ö¥ë¤³¤³¤Þ¤Ç -->
+
+						</td>
+						<td background="<!--{$smarty.const.URL_DIR}-->img/contents/main_right.jpg"><img src="<!--{$smarty.const.URL_DIR}-->img/common/_.gif" width="14" height="1" alt=""></td>
+					</tr>
+					<tr>
+						<td colspan="3"><img src="<!--{$smarty.const.URL_DIR}-->img/contents/main_bottom.jpg" width="706" height="14" alt=""></td>
+					</tr>
+					<tr><td height="30"></td></tr>
+				</table>
+				</td>
+			</tr>
+			<!--¥á¥¤¥ó¥¨¥ê¥¢-->
+		</table>
+		</td>
+	</tr>
+</form>
+</table>
+<!--¡ú¡ú¥á¥¤¥ó¥³¥ó¥Æ¥ó¥Ä¡ú¡ú-->		
Index: /branches/dev/data/Smarty/templates/admin/products/trackback.tpl
===================================================================
--- /branches/dev/data/Smarty/templates/admin/products/trackback.tpl	(revision 11931)
+++ /branches/dev/data/Smarty/templates/admin/products/trackback.tpl	(revision 11936)
@@ -234,6 +234,6 @@
 								<td><!--{$arrReview[cnt].title|escape}--></td>
 								<td align="center"><!--{if $arrReview[cnt].status eq 0}-->É½¼¨<!--{elseif $arrReview[cnt].status eq 1}-->ÈóÉ½¼¨<!--{elseif $arrReview[cnt].status eq 2}-->¥¹¥Ñ¥à<!--{/if}--></td>
-								<td align="center"><a href="#" onclick="fnChangeAction('./review_edit.php'); fnModeSubmit('','review_id','<!--{$arrReview[cnt].review_id}-->');">ÊÔ½¸</a></td>
-								<td align="center"><a href="#" onclick="fnModeSubmit('delete','review_id','<!--{$arrReview[cnt].review_id}-->'); return false;">ºï½ü</a></td>
+								<td align="center"><a href="#" onclick="fnChangeAction('./trackback_edit.php'); fnModeSubmit('','trackback_id','<!--{$arrTrackback[cnt].trackback_id}-->');">ÊÔ½¸</a></td>
+								<td align="center"><a href="#" onclick="fnModeSubmit('delete','trackback_id','<!--{$arrTrackback[cnt].trackback_id}-->'); return false;">ºï½ü</a></td>
 							</tr>
 							<!--{/section}-->