Index: /branches/comu/html/mypage/refusal.php
===================================================================
--- /branches/comu/html/mypage/refusal.php	(revision 11982)
+++ /branches/comu/html/mypage/refusal.php	(revision 12039)
@@ -50,5 +50,5 @@
 	$objCustomer->EndSession();
 	//´°Î»¥Ú¡¼¥¸¤Ø
-	header("Location: ./refusal_complete.php");
+	header("Location: " . sfGetCurrentUri() . "/refusal_complete.php");
 	exit;
 }
Index: /branches/comu/html/mypage/change.php
===================================================================
--- /branches/comu/html/mypage/change.php	(revision 11982)
+++ /branches/comu/html/mypage/change.php	(revision 12039)
@@ -159,5 +159,5 @@
 			$objCustomer->updateSession();
 			//´°Î»¥Ú¡¼¥¸¤Ø
-			header("Location: ./change_complete.php");
+			header("Location: " . sfGetCurrentUri() . "/change_complete.php");
 			exit;
 		} else {
Index: /branches/comu/html/mypage/login_check.php
===================================================================
--- /branches/comu/html/mypage/login_check.php	(revision 11730)
+++ /branches/comu/html/mypage/login_check.php	(revision 12039)
@@ -31,5 +31,5 @@
 	if ($count == 0){
 		if($objCustomer->getCustomerDataFromEmailPass($arrForm['mypage_login_pass'], $arrForm['mypage_login_email'])) {
-			header("Location: ./index.php");
+			header("Location: " . sfGetCurrentUri() . "/index.php");
 			exit;
 		} else {
Index: /branches/comu/html/mypage/login.php
===================================================================
--- /branches/comu/html/mypage/login.php	(revision 11730)
+++ /branches/comu/html/mypage/login.php	(revision 12039)
@@ -33,5 +33,5 @@
 // ¥í¥°¥¤¥óÈ½Äê
 if($objCustomer->isLoginSuccess()) {
-	header("location: ./index.php");
+	header("location: " . sfGetCurrentUri() . "/index.php");
 } else {
 	// ¥¯¥Ã¥­¡¼È½Äê
Index: /branches/comu/html/regist/index.php
===================================================================
--- /branches/comu/html/regist/index.php	(revision 11982)
+++ /branches/comu/html/regist/index.php	(revision 12039)
@@ -53,5 +53,5 @@
 		$email = $objQuery->get("dtb_customer", "email", "secret_key = ?", array($registSecretKey));
 		$objCustomer->setLogin($email);
-		header("Location: ./complete.php$etc_val");
+		header("Location: " . sfGetCurrentUri() . "/complete.php$etc_val");
 		exit;
 	}
Index: /branches/comu/html/frontparts/login_check.php
===================================================================
--- /branches/comu/html/frontparts/login_check.php	(revision 11730)
+++ /branches/comu/html/frontparts/login_check.php	(revision 12039)
@@ -57,5 +57,5 @@
 	//¥Þ¥¤¥Ú¡¼¥¸¥í¥°¥¤¥óÃæ¤Ï¥í¥°¥¤¥ó²èÌÌ¤Ø°Ü¹Ô
 	if ($mypage_url_search == 2){
-	header("Location: /mypage/login.php");
+	header("Location: " . URL_MYPAGE_TOP);
 	}else{
 	header("Location: " . $_POST['url']);	
Index: /branches/comu/html/mobile/shopping/deliv_addr.php
===================================================================
--- /branches/comu/html/mobile/shopping/deliv_addr.php	(revision 11982)
+++ /branches/comu/html/mobile/shopping/deliv_addr.php	(revision 12039)
@@ -67,5 +67,5 @@
 		break;
 	default:
-		header("Location: " . gfAddSessionId('deliv.php'));
+		header("Location: " . gfAddSessionId(sfGetCurrentUri() . "/deliv.php"));
 		exit;
 	}
Index: /branches/comu/html/mobile/shopping/index.php
===================================================================
--- /branches/comu/html/mobile/shopping/index.php	(revision 11982)
+++ /branches/comu/html/mobile/shopping/index.php	(revision 12039)
@@ -52,5 +52,5 @@
 if($objCustomer->isLoginSuccess()) {
 	// ¤¹¤Ç¤Ë¥í¥°¥¤¥ó¤µ¤ì¤Æ¤¤¤ë¾ì¹ç¤Ï¡¢¤ªÆÏ¤±ÀèÀßÄê²èÌÌ¤ËÅ¾Á÷
-	header("Location: " . gfAddSessionId('deliv.php'));
+	header("Location: " . gfAddSessionId(sfGetCurrentUri() . "/deliv.php"));
 	exit;
 }
Index: /branches/comu/html/mobile/magazine/confirm.php
===================================================================
--- /branches/comu/html/mobile/magazine/confirm.php	(revision 11982)
+++ /branches/comu/html/mobile/magazine/confirm.php	(revision 12039)
@@ -88,5 +88,5 @@
 
 	// ´°Î»¥Ú¡¼¥¸¤Ë°ÜÆ°¤µ¤»¤ë¡£
-	header("Location:" . gfAddSessionId("./complete.php"));
+	header("Location:" . gfAddSessionId(sfGetCurrentUri() . "/complete.php"));
 	exit;
 } else {
Index: /branches/comu/html/mobile/regist/index.php
===================================================================
--- /branches/comu/html/mobile/regist/index.php	(revision 11982)
+++ /branches/comu/html/mobile/regist/index.php	(revision 12039)
@@ -48,5 +48,5 @@
 		$email = $objQuery->get("dtb_customer", "email", "secret_key = ?", array($registSecretKey));
 		$objCustomer->setLogin($email);
-		header("Location: " . gfAddSessionId("./complete.php"));
+		header("Location: " . gfAddSessionId(sfGetCurrentUri() . "/complete.php"));
 		exit;
 	}
Index: /branches/comu/html/mobile/mypage/refusal.php
===================================================================
--- /branches/comu/html/mobile/mypage/refusal.php	(revision 11982)
+++ /branches/comu/html/mobile/mypage/refusal.php	(revision 12039)
@@ -39,5 +39,5 @@
 
 if (isset($_POST['no'])) {
-	header("Location: " . gfAddSessionId("index.php"));
+	header("Location: " . gfAddSessionId(sfGetCurrentUri() . "/index.php"));
 	exit;
 } elseif (isset($_POST['complete'])){
@@ -49,5 +49,5 @@
 	$objCustomer->EndSession();
 	//´°Î»¥Ú¡¼¥¸¤Ø
-	header("Location: " . gfAddSessionId("refusal_complete.php"));
+	header("Location: " . gfAddSessionId(sfGetCurrentUri() . "/refusal_complete.php"));
 	exit;
 }
Index: /branches/comu/html/mobile/mypage/change.php
===================================================================
--- /branches/comu/html/mobile/mypage/change.php	(revision 11982)
+++ /branches/comu/html/mobile/mypage/change.php	(revision 12039)
@@ -205,5 +205,5 @@
 				$objCustomer->updateSession();
 				//´°Î»¥Ú¡¼¥¸¤Ø
-				header("Location: " . gfAddSessionId("change_complete.php"));
+				header("Location: " . gfAddSessionId(sfGetCurrentUri() . "/change_complete.php"));
 				exit;
 			} else {
Index: /branches/comu/html/mobile/mypage/index.php
===================================================================
--- /branches/comu/html/mobile/mypage/index.php	(revision 11982)
+++ /branches/comu/html/mobile/mypage/index.php	(revision 12039)
@@ -63,5 +63,5 @@
 			// ·ÈÂÓ¤Î¥á¡¼¥ë¥¢¥É¥ì¥¹¤¬ÅÐÏ¿¤µ¤ì¤Æ¤¤¤Ê¤¤¾ì¹ç
 			if (!$objCustomer->hasValue('email_mobile')) {
-				header('Location: ' . gfAddSessionId('../entry/email_mobile.php'));
+				header('Location: ' . gfAddSessionId(sfGetCurrentUri() . "/../entry/email_mobile.php"));
 				exit;
 			}
Index: /branches/comu/html/shopping/index.php
===================================================================
--- /branches/comu/html/shopping/index.php	(revision 11730)
+++ /branches/comu/html/shopping/index.php	(revision 12039)
@@ -51,5 +51,5 @@
 if($objCustomer->isLoginSuccess()) {
 	// ¤¹¤Ç¤Ë¥í¥°¥¤¥ó¤µ¤ì¤Æ¤¤¤ë¾ì¹ç¤Ï¡¢¤ªÆÏ¤±ÀèÀßÄê²èÌÌ¤ËÅ¾Á÷
-	header("Location: ./deliv.php");
+	header("Location: " . sfGetCurrentUri() . "/deliv.php");
 	exit;
 }
Index: /branches/comu/html/admin/system/input.php
===================================================================
--- /branches/comu/html/admin/system/input.php	(revision 11730)
+++ /branches/comu/html/admin/system/input.php	(revision 12039)
@@ -66,5 +66,5 @@
 			fnInsertMember();
 			// ¥ê¥í¡¼¥É¤Ë¤è¤ëÆó½ÅÅÐÏ¿ÂÐºö¤Î¤¿¤á¡¢Æ±¤¸¥Ú¡¼¥¸¤ËÈô¤Ð¤¹¡£
-			header("Location: ". $_SERVER['PHP_SELF'] . "?mode=reload");	
+			header("Location: " . sfGetCurrentUri(true) . "?mode=reload");	
 			exit;
 		}
Index: /branches/comu/html/admin/contents/csv_sql.php
===================================================================
--- /branches/comu/html/admin/contents/csv_sql.php	(revision 11730)
+++ /branches/comu/html/admin/contents/csv_sql.php	(revision 12039)
@@ -81,5 +81,5 @@
 	// ¿·µ¬ºîÀ®
 	case "new_page":
-		header("location: ./csv_sql.php");
+		header("location: " . sfGetCurrentUri() . "/csv_sql.php");
 		break;
 		
@@ -87,5 +87,5 @@
 	case "delete":
 		lfDelData($sql_id);
-		header("location: ./csv_sql.php");
+		header("location: " . sfGetCurrentUri() . "/csv_sql.php");
 		break;
 		
Index: /branches/comu/html/admin/design/index.php
===================================================================
--- /branches/comu/html/admin/design/index.php	(revision 11730)
+++ /branches/comu/html/admin/design/index.php	(revision 12039)
@@ -65,10 +65,10 @@
 // ¿·µ¬¥Ö¥í¥Ã¥¯ºîÀ®
 if ($_POST['mode'] == 'new_bloc') {
-	header("location: ./bloc.php");
+	header("location: " . sfGetCurrentUri() . "/bloc.php");
 }
 
 // ¿·µ¬¥Ú¡¼¥¸ºîÀ®
 if ($_POST['mode'] == 'new_page') {
-	header("location: ./main_edit.php");
+	header("location: " . sfGetCurrentUri() . "/main_edit.php");
 }
 
@@ -154,5 +154,5 @@
 		header("Location: ". URL_DIR . "preview/index.php");
 	}else{
-		header("Location: ./index.php?page_id=$page_id&msg=on");
+		header("Location: " . sfGetCurrentUri() . "/index.php?page_id=$page_id&msg=on");
 	}
 }
Index: /branches/comu/html/admin/design/main_edit.php
===================================================================
--- /branches/comu/html/admin/design/main_edit.php	(revision 11730)
+++ /branches/comu/html/admin/design/main_edit.php	(revision 12039)
@@ -168,5 +168,5 @@
 		}
 
-		header("location: ./main_edit.php?page_id=$page_id&msg=on");
+		header("location: " . sfGetCurrentUri() . "/main_edit.php?page_id=$page_id&msg=on");
 	}else{
 		// ¥¨¥é¡¼¤¬¤¢¤ì¤ÐÆþÎÏ»þ¤Î¥Ç¡¼¥¿¤òÉ½¼¨¤¹¤ë
Index: /branches/comu/html/admin/design/bloc.php
===================================================================
--- /branches/comu/html/admin/design/bloc.php	(revision 11730)
+++ /branches/comu/html/admin/design/bloc.php	(revision 12039)
@@ -102,5 +102,5 @@
 			
 		$bloc_id = $arrBlocData[0]['bloc_id'];	
-		header("location: ./bloc.php?bloc_id=$bloc_id&msg=on");
+		header("location: " . sfGetCurrentUri() . "/bloc.php?bloc_id=$bloc_id&msg=on");
 	}else{
 		// ¥¨¥é¡¼¤¬¤¢¤ì¤ÐÆþÎÏ»þ¤Î¥Ç¡¼¥¿¤òÉ½¼¨¤¹¤ë
@@ -140,5 +140,5 @@
 	}
 
-	header("location: ./bloc.php");
+	header("location: " . sfGetCurrentUri() . "/bloc.php");
 }
 
Index: /branches/comu/html/contact/index.php
===================================================================
--- /branches/comu/html/contact/index.php	(revision 11730)
+++ /branches/comu/html/contact/index.php	(revision 12039)
@@ -92,5 +92,5 @@
 		lfSendMail($CONF, $objPage);
 		//´°Î»¥Ú¡¼¥¸¤Ø°ÜÆ°¤¹¤ë
-		header("location: ./complete.php");
+		header("location: " . sfGetCurrentUri() . "/complete.php");
 		exit;
 	} else {
Index: /branches/comu/html/entry/index.php
===================================================================
--- /branches/comu/html/entry/index.php	(revision 11982)
+++ /branches/comu/html/entry/index.php	(revision 12039)
@@ -164,5 +164,5 @@
 
 			// ´°Î»¥Ú¡¼¥¸¤Ë°ÜÆ°¤µ¤»¤ë¡£
-			header("Location: ./complete.php");
+			header("Location: " . sfGetCurrentUri() . "/complete.php");
 			exit;
 		}
Index: /branches/comu/html/products/review.php
===================================================================
--- /branches/comu/html/products/review.php	(revision 11730)
+++ /branches/comu/html/products/review.php	(revision 12039)
@@ -85,5 +85,5 @@
 			lfRegistRecommendData($arrForm, $arrRegistColumn);
 			//¥ì¥Ó¥å¡¼½ñ¤­¹þ¤ß´°Î»¥Ú¡¼¥¸¤Ø
-			header("Location: ./review_complete.php");
+			header("Location: " . sfGetCurrentUri() . "/review_complete.php");
 			exit;
 		}
Index: /branches/comu/html/install/user_data/include/campaign/default/src/entry.php
===================================================================
--- /branches/comu/html/install/user_data/include/campaign/default/src/entry.php	(revision 11983)
+++ /branches/comu/html/install/user_data/include/campaign/default/src/entry.php	(revision 12039)
@@ -157,5 +157,5 @@
 			
 			// ´°Î»¥Ú¡¼¥¸¤Ë°ÜÆ°¤µ¤»¤ë¡£
-			header("Location: ./complete.php");
+			header("Location: " . sfGetCurrentUri() . "/complete.php");
 			exit;
 		}
Index: /branches/comu/data/conf/conf.php
===================================================================
--- /branches/comu/data/conf/conf.php	(revision 11984)
+++ /branches/comu/data/conf/conf.php	(revision 12039)
@@ -120,9 +120,5 @@
 
 // EC-CUBE¥Ð¡¼¥¸¥ç¥ó¾ðÊó
-<<<<<<< .working
-define("ECCUBE_VERSION", "1.1.1");
-=======
 define("ECCUBE_VERSION", "1.2.0-beta");
->>>>>>> .merge-right.r11982
 
 // ·èºÑ¥â¥¸¥å¡¼¥ëÉÕÍ¿Ê¸¸À
@@ -213,11 +209,6 @@
 define ("ADMIN_MODE", 0);								// ´ÉÍý¥â¡¼¥É 1:Í­¸ú¡¡0:Ìµ¸ú(Ç¼ÉÊ»þ)
 define ("DAILY_BATCH_MODE", false);						// Çä¾å½¸·×¥Ð¥Ã¥Á¥â¡¼¥É(true:¥Ð¥Ã¥Á¤Ç½¸·×¤¹¤ë ¢¨Í×cronÀßÄê¡¢false:¥ê¥¢¥ë¥¿¥¤¥à¤Ç½¸·×¤¹¤ë)
-<<<<<<< .working
 define ("MAX_LOG_QUANTITY", 5);							// ¥í¥°¥Õ¥¡¥¤¥ëºÇÂç¿ô(¥í¥°¥Æ¡¼¥·¥ç¥ó)
 define ("MAX_LOG_SIZE", "10000");						// 1¤Ä¤Î¥í¥°¥Õ¥¡¥¤¥ë¤ËÊÝÂ¸¤¹¤ëºÇÂçÍÆÎÌ(byte)
-=======
-define ("MAX_LOG_QUANTITY", 5);							// ¥í¥°¥Õ¥¡¥¤¥ëºÇÂç¿ô(¥í¥°¥Æ¡¼¥·¥ç¥ó)
-define ("MAX_LOG_SIZE", "1000000");						// 1¤Ä¤Î¥í¥°¥Õ¥¡¥¤¥ë¤ËÊÝÂ¸¤¹¤ëºÇÂçÍÆÎÌ(byte)
->>>>>>> .merge-right.r11982
 
 define ("FORGOT_MAIL", 0);								// ¥Ñ¥¹¥ï¡¼¥ÉËº¤ì¤Î³ÎÇ§¥á¡¼¥ë¤òÁ÷ÉÕ¤¹¤ë¤«ÈÝ¤«¡£(0:Á÷¿®¤·¤Ê¤¤¡¢1:Á÷¿®¤¹¤ë)
Index: /branches/comu/data/lib/slib.php
===================================================================
--- /branches/comu/data/lib/slib.php	(revision 11984)
+++ /branches/comu/data/lib/slib.php	(revision 12039)
@@ -261,5 +261,5 @@
 	if(!defined('ECCUBE_INSTALL')) {
 		if(!ereg("/install/", $_SERVER['PHP_SELF'])) {
-			header("Location: ./install/");
+			header("Location: " . sfGetCurrentUri() . "/install/");
 		}
 	} else {
@@ -2917,4 +2917,44 @@
 }
 
+/**
+ * ¸½ºß¤Î URI ¤ò¼èÆÀ¤¹¤ë.
+ * 
+ * <p>
+ * $_SERVER["SERVER_PORT"] ¤¬ 443 ¤Î¾ì¹ç¤Ï, ¥¹¥­¡¼¥Þ¤Ë https:// ¤ò»ÈÍÑ.
+ * ¤½¤ì°Ê³°¤Ï http:// ¤ò»ÈÍÑ¤¹¤ë.
+ * <strong>URI ËöÈø¤Î / ¤Ïºï½ü¤µ¤ì¤Þ¤¹.</strong>
+ * </p>
+ * @param boolean $hasFileName ¥Õ¥¡¥¤¥ëÌ¾¤ò´Þ¤á¤ë¾ì¹ç true
+ * @return string ¸½ºß¤Î URI
+ */
+function sfGetCurrentUri($hasFileName = false) {
+	$host = $_SERVER["HTTP_HOST"];
+	$path = rtrim(dirname($_SERVER["SCRIPT_NAME"]), "/\\");
+	
+	if ($hasFileName === true) {
+		return sfGetCurrentSchema() . $host . $_SERVER["SCRIPT_NAME"];
+	} else {
+		return sfGetCurrentSchema() . $host . $path;
+	}
+}
+
+/**
+ * ¸½ºß¤Î ¥¹¥­¡¼¥ÞÌ¾¤òÊÖ¤¹.
+ * 
+ * <p>
+ * $_SERVER["SERVER_PORT"] ¤¬ 443 ¤Î¾ì¹ç¤Ï, https:// ¤òÊÖ¤¹.
+ * ¤½¤ì°Ê³°¤Ï http:// ¤òÊÖ¤¹.
+ * </p>
+ * @return string http:// ¤Þ¤¿¤Ï https:// ¤Î string.
+ */
+function sfGetCurrentSchema() {
+	
+	if ($_SERVER["SERVER_PORT"] == 443) {
+		return "https://";
+	} else {
+		return "http://";
+	}
+}
+
 /* ¥Ç¥Ð¥Ã¥°ÍÑ ------------------------------------------------------------------------------------------------*/
 function sfPrintR($obj) {