Index: branches/beta/html/mobile/entry/index.php
===================================================================
--- branches/beta/html/mobile/entry/index.php	(revision 11902)
+++ branches/beta/html/mobile/entry/index.php	(revision 13360)
@@ -20,4 +20,5 @@
 $objPage = new LC_Page();
 $objView = new SC_MobileView();
+$objCustomer = new SC_Customer();
 $objDate = new SC_Date(START_BIRTH_YEAR, date("Y",strtotime("now")));
 $objPage->arrPref = $arrPref;
@@ -203,5 +204,42 @@
 		//--¡¡²¾ÅÐÏ¿¤È´°Î»²èÌÌ
 		if ($_POST["mode"] == "complete") {
-			$objPage->uniqid = lfRegistData ($objPage->arrForm, $arrRegistColumn, $arrRejectRegistColumn);
+            
+            // ³ÎÇ§²èÌÌ¤ÇºÆÅÙ¥¨¥é¡¼¥Á¥§¥Ã¥¯¤ò¹Ô¤¦¡£¡Ê²èÌÌ1¡Ë
+            $arrErr = lfErrorCheck1($objPage->arrForm);
+            if(count($arrErr) > 0){
+                $objPage->tpl_mainpage = 'entry/index.tpl';
+                $objPage->tpl_title = '²ñ°÷ÅÐÏ¿(1/3)';
+                $objPage->arrErr = $arrErr;
+                //----¡¡¥Ú¡¼¥¸É½¼¨
+                $objView->assignobj($objPage);
+                $objView->display(SITE_FRAME);
+                exit();
+            }
+            
+            // ³ÎÇ§²èÌÌ¤ÇºÆÅÙ¥¨¥é¡¼¥Á¥§¥Ã¥¯¤ò¹Ô¤¦¡£¡Ê²èÌÌ2¡Ë
+            $arrErr = lfErrorCheck2($objPage->arrForm);
+            if(count($arrErr) > 0){
+                $objPage->tpl_mainpage = 'entry/set1.tpl';
+                $objPage->tpl_title = '²ñ°÷ÅÐÏ¿(2/3)';
+                $objPage->arrErr = $arrErr;
+                //----¡¡¥Ú¡¼¥¸É½¼¨
+                $objView->assignobj($objPage);
+                $objView->display(SITE_FRAME);
+                exit();
+            }
+
+            // ³ÎÇ§²èÌÌ¤ÇºÆÅÙ¥¨¥é¡¼¥Á¥§¥Ã¥¯¤ò¹Ô¤¦¡£¡Ê²èÌÌ3¡Ë
+            $arrErr = lfErrorCheck3($objPage->arrForm);
+            if(count($arrErr) > 0){
+                $objPage->tpl_mainpage = 'entry/set2.tpl';
+                $objPage->tpl_title = '²ñ°÷ÅÐÏ¿(3/3)';
+                $objPage->arrErr = $arrErr;
+                //----¡¡¥Ú¡¼¥¸É½¼¨
+                $objView->assignobj($objPage);
+                $objView->display(SITE_FRAME);
+                exit();
+            }
+            
+			$objPage->uniqid = lfRegistData ($objPage->arrForm, $arrRegistColumn, $arrRejectRegistColumn, CUSTOMER_CONFIRM_MAIL);
 
 			// ¶õ¥á¡¼¥ë¤ò¼õ¿®ºÑ¤ß¤Î¾ì¹ç¤Ï¤¹¤°¤ËËÜÅÐÏ¿´°Î»¤Ë¤¹¤ë¡£
@@ -222,6 +260,16 @@
 			$objMailText = new SC_MobileView();
 			$objMailText->assignobj($objPage);
-			$subject = sfMakesubject('²ñ°÷ÅÐÏ¿¤Î¤´³ÎÇ§');
-			$toCustomerMail = $objMailText->fetch("mail_templates/customer_mail.tpl");
+            
+            // ²¾²ñ°÷¤¬Í­¸ú¤Î¾ì¹ç
+			if(CUSTOMER_CONFIRM_MAIL == true) {
+				$subject = sfMakesubject('²ñ°÷ÅÐÏ¿¤Î¤´³ÎÇ§');
+				$toCustomerMail = $objMailText->fetch("mail_templates/customer_mail.tpl");
+			} else {
+				$subject = sfMakesubject('²ñ°÷ÅÐÏ¿¤Î¤´´°Î»');
+				$toCustomerMail = $objMailText->fetch("mail_templates/customer_regist_mail.tpl");
+				// ¥í¥°¥¤¥ó¾õÂÖ¤Ë¤¹¤ë
+				$objCustomer->setLogin($_POST["email"]);
+			}
+            
 			$objMail = new GC_SendMail();
 			$objMail->setItem(
@@ -255,5 +303,5 @@
 
 //---- function·²
-function lfRegistData ($array, $arrRegistColumn, $arrRejectRegistColumn) {
+function lfRegistData ($array, $arrRegistColumn, $arrRejectRegistColumn, $confirm_flg) {
 	global $objConn;
 
@@ -272,23 +320,36 @@
 	// ¥Ñ¥¹¥ï¡¼¥É¤Î°Å¹æ²½
 	$arrRegist["password"] = sha1($arrRegist["password"] . ":" . AUTH_MAGIC);
-	
-	$count = 1;
-	while ($count != 0) {
-		$uniqid = sfGetUniqRandomId("t");
-		$count = $objConn->getOne("SELECT COUNT(*) FROM dtb_customer WHERE secret_key = ?", array($uniqid));
-	}
-
-	switch($array["mailmaga_flg"]) {
-		case 1:
-			$arrRegist["mailmaga_flg"] = 4; 
-			break;
-		case 2:
-			$arrRegist["mailmaga_flg"] = 5; 
-			break;
-		default:
-			$arrRegist["mailmaga_flg"] = 6;
-			break;
-	}
-		
+
+    // ²¾²ñ°÷ÅÐÏ¿¤Î¾ì¹ç
+	if($confirm_flg == true) {
+        // ½ÅÊ£¤·¤Ê¤¤²ñ°÷ÅÐÏ¿¥­¡¼¤òÈ¯¹Ô¤¹¤ë¡£
+		$count = 1;
+		while ($count != 0) {
+			$uniqid = sfGetUniqRandomId("t");
+			$count = $objConn->getOne("SELECT COUNT(*) FROM dtb_customer WHERE secret_key = ?", array($uniqid));
+		}
+	
+		switch($array["mailmaga_flg"]) {
+			case 1:
+				$arrRegist["mailmaga_flg"] = 4; 
+				break;
+			case 2:
+				$arrRegist["mailmaga_flg"] = 5; 
+				break;
+			default:
+				$arrRegist["mailmaga_flg"] = 6;
+				break;
+		}
+		$arrRegist["status"] = "1";				// ²¾²ñ°÷
+	} else {
+		// ½ÅÊ£¤·¤Ê¤¤²ñ°÷ÅÐÏ¿¥­¡¼¤òÈ¯¹Ô¤¹¤ë¡£
+		$count = 1;
+		while ($count != 0) {
+			$uniqid = sfGetUniqRandomId("r");
+			$count = $objConn->getOne("SELECT COUNT(*) FROM dtb_customer WHERE secret_key = ?", array($uniqid));
+		}
+		$arrRegist["status"] = "2";				// ËÜ²ñ°÷
+    }
+    
 	$arrRegist["secret_key"] = $uniqid;		// ²¾ÅÐÏ¿IDÈ¯¹Ô
 	$arrRegist["create_date"] = "now()"; 	// ºîÀ®Æü