Index: /branches/rel/html/admin/products/upload_csv.php
===================================================================
--- /branches/rel/html/admin/products/upload_csv.php	(revision 13497)
+++ /branches/rel/html/admin/products/upload_csv.php	(revision 14921)
@@ -255,9 +255,13 @@
 		case 'recommend_product_id2':
 		case 'recommend_product_id3':
-		case 'recommend_product_id4':
+        case 'recommend_product_id4':
+        case 'recommend_product_id5':
+        case 'recommend_product_id6':
 		case 'recommend_comment1':
 		case 'recommend_comment2':
 		case 'recommend_comment3':
 		case 'recommend_comment4':
+        case 'recommend_comment5':
+        case 'recommend_comment6':
 			break;
 		default:
Index: /branches/rel/html/install/sql/insert_data.sql
===================================================================
--- /branches/rel/html/install/sql/insert_data.sql	(revision 12157)
+++ /branches/rel/html/install/sql/insert_data.sql	(revision 14921)
@@ -97,5 +97,9 @@
 insert into dtb_csv(csv_id,col,disp_name,rank,create_date,update_date)values(1,'(SELECT recommend_product_id FROM dtb_recommend_products WHERE prdcls.product_id = dtb_recommend_products.product_id ORDER BY update_date DESC limit 1 offset 3) AS recommend_product_id4','¤ª¤¹¤¹¤á¾¦ÉÊ(4)',51,now(),now());
 insert into dtb_csv(csv_id,col,disp_name,rank,create_date,update_date)values(1,'(SELECT comment FROM dtb_recommend_products WHERE prdcls.product_id = dtb_recommend_products.product_id ORDER BY update_date DESC limit 1 offset 3) AS recommend_comment4','¤ª¤¹¤¹¤á¥³¥á¥ó¥È(4)',52,now(),now());
-insert into dtb_csv(csv_id,col,disp_name,rank,create_date,update_date)values(1,'category_id','¥«¥Æ¥´¥êID',53,now(),now());
+insert into dtb_csv(csv_id,col,disp_name,rank,create_date,update_date)values(1,'(SELECT recommend_product_id FROM dtb_recommend_products WHERE prdcls.product_id = dtb_recommend_products.product_id ORDER BY update_date DESC limit 1 offset 4) AS recommend_product_id5','¤ª¤¹¤¹¤á¾¦ÉÊ(5)',53,now(),now());
+insert into dtb_csv(csv_id,col,disp_name,rank,create_date,update_date)values(1,'(SELECT comment FROM dtb_recommend_products WHERE prdcls.product_id = dtb_recommend_products.product_id ORDER BY update_date DESC limit 1 offset 4) AS recommend_comment5','¤ª¤¹¤¹¤á¥³¥á¥ó¥È(5)',54,now(),now());
+insert into dtb_csv(csv_id,col,disp_name,rank,create_date,update_date)values(1,'(SELECT recommend_product_id FROM dtb_recommend_products WHERE prdcls.product_id = dtb_recommend_products.product_id ORDER BY update_date DESC limit 1 offset 5) AS recommend_product_id6','¤ª¤¹¤¹¤á¾¦ÉÊ(6)',55,now(),now());
+insert into dtb_csv(csv_id,col,disp_name,rank,create_date,update_date)values(1,'(SELECT comment FROM dtb_recommend_products WHERE prdcls.product_id = dtb_recommend_products.product_id ORDER BY update_date DESC limit 1 offset 5) AS recommend_comment6','¤ª¤¹¤¹¤á¥³¥á¥ó¥È(6)',56,now(),now());
+insert into dtb_csv(csv_id,col,disp_name,rank,create_date,update_date)values(1,'category_id','¥«¥Æ¥´¥êID',57,now(),now());
 insert into dtb_csv(csv_id,col,disp_name,rank,create_date,update_date)values(2,'customer_id','¸ÜµÒID',1,now(),now());
 insert into dtb_csv(csv_id,col,disp_name,rank,create_date,update_date)values(2,'name01','Ì¾Á°1',2,now(),now());
Index: /branches/rel/data/class/SC_Query.php
===================================================================
--- /branches/rel/data/class/SC_Query.php	(revision 12157)
+++ /branches/rel/data/class/SC_Query.php	(revision 14921)
@@ -419,21 +419,21 @@
 	}
 	
-	// auto_increment¤ò¼èÆÀ¤¹¤ë
-	function get_auto_increment($table_name){
-		// ¥í¥Ã¥¯¤¹¤ë
-		$this->BEGIN();
-		
-		// ¼¡¤ÎIncrement¤ò¼èÆÀ
-		$arrRet = $this->getAll("SHOW TABLE STATUS LIKE ?", array($table_name));
-		$auto_inc_no = $arrRet[0]["Auto_increment"];
-		
-		// ÃÍ¤ò¥«¥¦¥ó¥È¥¢¥Ã¥×¤·¤Æ¤ª¤¯
-		$this->conn->query("ALTER TABLE $table_name AUTO_INCREMENT=?" , $auto_inc_no + 1);
-		
-		// ²ò½ü¤¹¤ë
-		$this->COMMIT();
-		
-		return $auto_inc_no;
-	}
+    // auto_increment¤ò¼èÆÀ¤¹¤ë
+    function get_auto_increment($table_name){
+        // ¥í¥Ã¥¯¤¹¤ë
+        $this->query("LOCK TABLES $table_name WRITE");
+        
+        // ¼¡¤ÎIncrement¤ò¼èÆÀ
+        $arrRet = $this->getAll("SHOW TABLE STATUS LIKE ?", array($table_name));
+        $auto_inc_no = $arrRet[0]["Auto_increment"];
+        
+        // ÃÍ¤ò¥«¥¦¥ó¥È¥¢¥Ã¥×¤·¤Æ¤ª¤¯
+        $this->conn->query("ALTER TABLE $table_name AUTO_INCREMENT=?" , $auto_inc_no + 1);
+        
+        // ²ò½ü¤¹¤ë
+        $this->query('UNLOCK TABLES');
+        
+        return $auto_inc_no;
+    }
 }
 
Index: /branches/rel/data/conf/conf.php
===================================================================
--- /branches/rel/data/conf/conf.php	(revision 14900)
+++ /branches/rel/data/conf/conf.php	(revision 14921)
@@ -172,5 +172,5 @@
 define("DEFAULT_PASSWORD", "UAhgGR3L");
 //¤ª¤¹¤¹¤á¾¦ÉÊ¿ô
-define ("RECOMMEND_PRODUCT_MAX", 5);
+define ("RECOMMEND_PRODUCT_MAX", 6);
 
 //ÊÌ¤Î¤ªÆÏ¤±ÀèºÇÂçÅÐÏ¿¿ô