Index: /branches/rel/html/install/user_data/templates/default1/templates/detail.tpl
===================================================================
--- /branches/rel/html/install/user_data/templates/default1/templates/detail.tpl	(revision 15047)
+++ /branches/rel/html/install/user_data/templates/default1/templates/detail.tpl	(revision 15063)
@@ -127,5 +127,5 @@
 									<!--{assign var=codemax value=`$codecnt-1`}-->
 									<!--{if $codecnt > 1}-->
-										<!--{$arrProductCode.0}-->¢·<!--{$arrProductCode[$codemax]}-->
+										<!--{$arrProductCode.0}-->¡Á<!--{$arrProductCode[$codemax]}-->
 									<!--{else}-->
 										<!--{$arrProductCode.0}-->
@@ -137,5 +137,5 @@
 										<!--{$arrProduct.price02_min|sfPreTax:$arrSiteInfo.tax:$arrSiteInfo.tax_rule|number_format}-->
 									<!--{else}-->
-										<!--{$arrProduct.price02_min|sfPreTax:$arrSiteInfo.tax:$arrSiteInfo.tax_rule|number_format}-->¢·<!--{$arrProduct.price02_max|sfPreTax:$arrSiteInfo.tax:$arrSiteInfo.tax_rule|number_format}-->
+										<!--{$arrProduct.price02_min|sfPreTax:$arrSiteInfo.tax:$arrSiteInfo.tax_rule|number_format}-->¡Á<!--{$arrProduct.price02_max|sfPreTax:$arrSiteInfo.tax:$arrSiteInfo.tax_rule|number_format}-->
 									<!--{/if}-->
 									±ß</span></span><br/>
@@ -146,5 +146,5 @@
 											<!--{$arrProduct.price01_min|number_format}-->
 										<!--{else}-->
-											<!--{$arrProduct.price01_min|number_format}-->¢·<!--{$arrProduct.price01_max|number_format}-->
+											<!--{$arrProduct.price01_min|number_format}-->¡Á<!--{$arrProduct.price01_max|number_format}-->
 										<!--{/if}-->
 										±ß
@@ -159,5 +159,5 @@
 										<!--{$arrProduct.price02_min|sfPrePoint:$arrProduct.point_rate:$smarty.const.POINT_RULE:$arrProduct.product_id}-->
 									<!--{else}-->
-										<!--{$arrProduct.price02_min|sfPrePoint:$arrProduct.point_rate:$smarty.const.POINT_RULE:$arrProduct.product_id}-->¢·<!--{$arrProduct.price02_max|sfPrePoint:$arrProduct.point_rate:$smarty.const.POINT_RULE:$arrProduct.product_id}-->
+										<!--{$arrProduct.price02_min|sfPrePoint:$arrProduct.point_rate:$smarty.const.POINT_RULE:$arrProduct.product_id}-->¡Á<!--{$arrProduct.price02_max|sfPrePoint:$arrProduct.point_rate:$smarty.const.POINT_RULE:$arrProduct.product_id}-->
 									<!--{/if}-->
 								<!--{/if}-->
@@ -356,5 +356,5 @@
 												<!--{$price02_min|sfPreTax:$arrSiteInfo.tax:$arrSiteInfo.tax_rule|number_format}-->
 											<!--{else}-->
-												<!--{$price02_min|sfPreTax:$arrSiteInfo.tax:$arrSiteInfo.tax_rule|number_format}-->¢·<!--{$price02_max|sfPreTax:$arrSiteInfo.tax:$arrSiteInfo.tax_rule|number_format}-->
+												<!--{$price02_min|sfPreTax:$arrSiteInfo.tax:$arrSiteInfo.tax_rule|number_format}-->¡Á<!--{$price02_max|sfPreTax:$arrSiteInfo.tax:$arrSiteInfo.tax_rule|number_format}-->
 											<!--{/if}-->
 											±ß</span></span></td>
@@ -397,5 +397,5 @@
 												<!--{$price02_min|sfPreTax:$arrSiteInfo.tax:$arrSiteInfo.tax_rule|number_format}-->
 											<!--{else}-->
-												<!--{$price02_min|sfPreTax:$arrSiteInfo.tax:$arrSiteInfo.tax_rule|number_format}-->¢·<!--{$price02_max|sfPreTax:$arrSiteInfo.tax:$arrSiteInfo.tax_rule|number_format}-->
+												<!--{$price02_min|sfPreTax:$arrSiteInfo.tax:$arrSiteInfo.tax_rule|number_format}-->¡Á<!--{$price02_max|sfPreTax:$arrSiteInfo.tax:$arrSiteInfo.tax_rule|number_format}-->
 											<!--{/if}-->
 											±ß</span></span></td>
Index: /branches/rel/html/install/user_data/templates/detail.tpl
===================================================================
--- /branches/rel/html/install/user_data/templates/detail.tpl	(revision 15047)
+++ /branches/rel/html/install/user_data/templates/detail.tpl	(revision 15063)
@@ -127,5 +127,5 @@
 									<!--{assign var=codemax value=`$codecnt-1`}-->
 									<!--{if $codecnt > 1}-->
-										<!--{$arrProductCode.0}-->¢·<!--{$arrProductCode[$codemax]}-->
+										<!--{$arrProductCode.0}-->¡Á<!--{$arrProductCode[$codemax]}-->
 									<!--{else}-->
 										<!--{$arrProductCode.0}-->
@@ -137,5 +137,5 @@
 										<!--{$arrProduct.price02_min|sfPreTax:$arrSiteInfo.tax:$arrSiteInfo.tax_rule|number_format}-->
 									<!--{else}-->
-										<!--{$arrProduct.price02_min|sfPreTax:$arrSiteInfo.tax:$arrSiteInfo.tax_rule|number_format}-->¢·<!--{$arrProduct.price02_max|sfPreTax:$arrSiteInfo.tax:$arrSiteInfo.tax_rule|number_format}-->
+										<!--{$arrProduct.price02_min|sfPreTax:$arrSiteInfo.tax:$arrSiteInfo.tax_rule|number_format}-->¡Á<!--{$arrProduct.price02_max|sfPreTax:$arrSiteInfo.tax:$arrSiteInfo.tax_rule|number_format}-->
 									<!--{/if}-->
 									±ß</span></span><br/>
@@ -146,5 +146,5 @@
 											<!--{$arrProduct.price01_min|number_format}-->
 										<!--{else}-->
-											<!--{$arrProduct.price01_min|number_format}-->¢·<!--{$arrProduct.price01_max|number_format}-->
+											<!--{$arrProduct.price01_min|number_format}-->¡Á<!--{$arrProduct.price01_max|number_format}-->
 										<!--{/if}-->
 										±ß
@@ -159,5 +159,5 @@
 										<!--{$arrProduct.price02_min|sfPrePoint:$arrProduct.point_rate:$smarty.const.POINT_RULE:$arrProduct.product_id}-->
 									<!--{else}-->
-										<!--{$arrProduct.price02_min|sfPrePoint:$arrProduct.point_rate:$smarty.const.POINT_RULE:$arrProduct.product_id}-->¢·<!--{$arrProduct.price02_max|sfPrePoint:$arrProduct.point_rate:$smarty.const.POINT_RULE:$arrProduct.product_id}-->
+										<!--{$arrProduct.price02_min|sfPrePoint:$arrProduct.point_rate:$smarty.const.POINT_RULE:$arrProduct.product_id}-->¡Á<!--{$arrProduct.price02_max|sfPrePoint:$arrProduct.point_rate:$smarty.const.POINT_RULE:$arrProduct.product_id}-->
 									<!--{/if}-->
 								<!--{/if}-->
@@ -394,5 +394,5 @@
 												<!--{$price02_min|sfPreTax:$arrSiteInfo.tax:$arrSiteInfo.tax_rule|number_format}-->
 											<!--{else}-->
-												<!--{$price02_min|sfPreTax:$arrSiteInfo.tax:$arrSiteInfo.tax_rule|number_format}-->¢·<!--{$price02_max|sfPreTax:$arrSiteInfo.tax:$arrSiteInfo.tax_rule|number_format}-->
+												<!--{$price02_min|sfPreTax:$arrSiteInfo.tax:$arrSiteInfo.tax_rule|number_format}-->¡Á<!--{$price02_max|sfPreTax:$arrSiteInfo.tax:$arrSiteInfo.tax_rule|number_format}-->
 											<!--{/if}-->
 											±ß</span></span></td>
@@ -435,5 +435,5 @@
 												<!--{$price02_min|sfPreTax:$arrSiteInfo.tax:$arrSiteInfo.tax_rule|number_format}-->
 											<!--{else}-->
-												<!--{$price02_min|sfPreTax:$arrSiteInfo.tax:$arrSiteInfo.tax_rule|number_format}-->¢·<!--{$price02_max|sfPreTax:$arrSiteInfo.tax:$arrSiteInfo.tax_rule|number_format}-->
+												<!--{$price02_min|sfPreTax:$arrSiteInfo.tax:$arrSiteInfo.tax_rule|number_format}-->¡Á<!--{$price02_max|sfPreTax:$arrSiteInfo.tax:$arrSiteInfo.tax_rule|number_format}-->
 											<!--{/if}-->
 											±ß</span></span></td>