Index: branches/dev/data/Smarty/templates/forgot/complete.tpl
===================================================================
--- branches/dev/data/Smarty/templates/forgot/complete.tpl	(revision 17)
+++ branches/dev/data/Smarty/templates/forgot/complete.tpl	(revision 15066)
@@ -1,72 +1,72 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html lang="ja">
-<!--{*
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *}-->
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=<!--{$smarty.const.CHAR_CODE}-->">
-<meta http-equiv="content-script-type" content="text/javascript">
-<meta http-equiv="content-style-type" content="text/css">
-<link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}-->user_data/css/contents.css" type="text/css" media="all" />
-<link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}-->css/common.css" type="text/css" media="all" />
-<link rel="stylesheet" href="<!--{$tpl_css}-->" type="text/css" media="all" />
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/css.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/navi.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/win_op.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/site.js"></script>
-<title><!--{$arrSiteInfo.shop_name}-->/¥Ñ¥¹¥ï¡¼¥É¤òËº¤ì¤¿Êý(´°Î»¥Ú¡¼¥¸)</title>
-</head>
-
-<body bgcolor="#f0f0f0" text="#555555" link="#3a75af" vlink="#3a75af" alink="#3a75af" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onLoad="preLoadImg('<!--{$smarty.const.URL_DIR}-->')">
-<noscript>
-<link rel="stylesheet" href="../css/common.css" type="text/css" />
-</noscript>
-
-<div align="center">
-<table width="550" border="0" cellspacing="0" cellpadding="0" summary=" ">
-	<form name="form1" id="form1" method="post" action="./confirm.php">
-	<tr><td height="15"></td></tr>
-	<tr><td bgcolor="#ffa85c"><img src="<!--{$smarty.const.URL_DIR}-->misc/_.gif" width="1" height="5" alt=""></td></tr>
-	<tr>
-		<td align="center" bgcolor="#ffffff">
-		<table width="500" border="0" cellspacing="0" cellpadding="0" summary=" ">
-			<tr><td height="15"></td></tr>
-			<tr>
-				<td><img src="<!--{$smarty.const.URL_DIR}-->img/forget/title.jpg" width="500" height="40" alt="¥Ñ¥¹¥ï¡¼¥É¤òËº¤ì¤¿Êý"></td>
-			</tr>
-			<tr><td height="15"></td></tr>
-			<tr>
-				<td class="fs12">¥Ñ¥¹¥ï¡¼¥É¤ÎÈ¯¹Ô¤¬´°Î»¤¤¤¿¤·¤Þ¤·¤¿¡£¥í¥°¥¤¥ó¤Ë¤Ï²¼µ­¤Î¥Ñ¥¹¥ï¡¼¥É¤ò¤´ÍøÍÑ¤¯¤À¤µ¤¤¡£<br>
-				¢¨²¼µ­¥Ñ¥¹¥ï¡¼¥É¤Ï¡¢MY¥Ú¡¼¥¸¤Î¡Ö²ñ°÷ÅÐÏ¿ÆâÍÆÊÑ¹¹¡×¤è¤ê¤´ÊÑ¹¹¤¤¤¿¤À¤±¤Þ¤¹¡£</td>
-			</tr>
-			<tr><td height="15"></td></tr>
-			<tr>
-				<td align="center" bgcolor="#cccccc">
-				<table width="490" border="0" cellspacing="0" cellpadding="0" summary=" ">
-					<tr><td height="5"></td></tr>
-					<tr>
-						<td align="center" height="120" bgcolor="#ffffff" class="fs18n"><!--¡ú¥Ñ¥¹¥ï¡¼¥ÉÉ½¼¨¡ú--><span class="redst"><!--{$temp_password}--></span></td>
-					</tr>
-					<tr><td height="5"></td></tr>
-				</table>
-				</td>
-			</tr>
-			<tr><td height="15"></td></tr>
-			<tr>
-				<td align="center"><a href="javascript:window.close()" onmouseOver="chgImg('<!--{$smarty.const.URL_DIR}-->img/common/b_close_on.gif','close');" onmouseOut="chgImg('<!--{$smarty.const.URL_DIR}-->img/common/b_close.gif','close');"><img src="<!--{$smarty.const.URL_DIR}-->img/common/b_close.gif" width="150" height="30" alt="ÊÄ¤¸¤ë" name="close" id="close" /></a></td>
-			</tr>
-			<tr><td height="30"></td></tr>
-		</table>			
-		</td>
-	</tr>
-
-	<tr><td bgcolor="#ffa85c"><img src="<!--{$smarty.const.URL_DIR}-->misc/_.gif" width="1" height="5" alt=""></td></tr>
-	<tr><td height="20"></td></tr>
-</form>	
+<table id="contact">
+	<tr><td>
+<!-- wrapper -->
+<div id="wrapper">
+  <!-- wrapper-inner -->
+  <div id="wrapper-inner">
+    <!-- contents -->
+    <div id="contents">
+      <!-- breadcrumb -->
+      <div class="breadcrumb">
+        <ul>
+          <li><a href="../index.html">Home</a></li>
+          <li>&gt;&nbsp;¥Ñ¥¹¥ï¡¼¥É¤òËº¤ì¤¿Êý</li>
+        </ul>
+      </div>
+      <!-- /breadcrumb -->
+      <h2><img src="images/h2_sendpwd.gif" alt="Send Password¡Ã¥Ñ¥¹¥ï¡¼¥É¤òËº¤ì¤¿Êý" width="800" height="180" /></h2>
+      <!-- oneColumn -->
+      <div id="oneColumn">
+        <!-- columnB -->
+        <div class="columnB">
+          <h3><img src="images/h3_complete.gif" alt="Complete" width="110" height="23" /></h3>
+          <br />
+          <h4><img src="images/h4_pwd.gif" alt="¥Ñ¥¹¥ï¡¼¥É¤ÎÁ÷¿®¤¬´°Î»¤·¤Þ¤·¤¿¡£" width="188" height="14" /></h4>
+          <p>¤´µ­ÆþÄº¤­¤Þ¤·¤¿E¥á¡¼¥ë¥¢¥É¥ì¥¹¤Ø¡¢¿·¤·¤¤¥Ñ¥¹¥ï¡¼¥É¤òÁ÷¿®¤·¤Þ¤·¤¿¡£¤´³ÎÇ§¤¯¤À¤µ¤¤¡£</p>
+          <p><a href="../index.html"><img class="rollover" src="images/btn_home.gif" alt="HOME" width="161" height="21" /></a></p>
+        </div>
+        <!-- /columnB -->
+        <br />
+        <br />
+        <br />
+      </div>
+      <!-- /oneColumn -->
+      <hr class="solidGray2" />
+      <!-- breadcrumb -->
+      <div class="breadcrumb">
+        <ul>
+          <li><a href="../index.html">Home</a></li>
+          <li>&gt;&nbsp;¥Ñ¥¹¥ï¡¼¥É¤òËº¤ì¤¿Êý</li>
+        </ul>
+      </div>
+      <!-- /breadcrumb -->
+    </div>
+    <!-- /contents -->
+    <p class="pagetop"><a href="#wrapper"><img class="rollover" src="../images/common/btn_pagetop_wh.gif" alt="Page Top" width="50" height="16" /></a></p>
+  </div>
+  <!-- /wrapper-inner -->
+  <!-- cart -->
+  <div id="cart">
+    <dl class="first">
+      <dt><img src="../images/common/cart_nickname.gif" alt="Nickname" width="65" height="5" /><br />
+        AKIHIRO</dt>
+    </dl>
+    <dl class="last">
+      <dt class="first"><img src="../images/common/cart_item.gif" alt="Item" width="65" height="5" /><br />
+        02</dt>
+      <dt><img src="../images/common/cart_subtotal.gif" alt="Subtotal" width="65" height="5" /><br />
+        53,400yen</dt>
+    </dl>
+    <div id="userTraffic">
+      <ul>
+        <li class="cart-view"><a href="index.html">View Cart</a></li>
+        <li class="cart-logout"><a href="index.html">Log Out</a></li>
+      </ul>
+    </div>
+    <p><a href="">My Page</a></p>
+  </div>
+  <!-- /cart -->
+</div>
+<!-- /wrapper -->
+</td></tr>
 </table>
-</div>
-
-</body>
-</html>