Index: /branches/dev/data/downloads/module/mdl_ebis_tag/ebis_tag.php
===================================================================
--- /branches/dev/data/downloads/module/mdl_ebis_tag/ebis_tag.php	(revision 15060)
+++ /branches/dev/data/downloads/module/mdl_ebis_tag/ebis_tag.php	(revision 15072)
@@ -8,7 +8,4 @@
  */
 
-//require_once("./require.php");
-//require_once MODULE_PATH . 'ebis_tag_conf.php';
-
 // Ç§¾Ú³ÎÇ§
 $objSess = new SC_Session();
@@ -21,5 +18,5 @@
 		//¥á¥¤¥ó¥Æ¥ó¥×¥ì¡¼¥È¤Î»ØÄê
 		$this->tpl_mainpage  = MODULE_PATH . 'mdl_ebis_tag/ebis_tag.tpl';
-		$this->tpl_subtitle  = 'EBiS¥¿¥°Ëä¤á¹þ¤ßµ¡Ç½';
+		$this->tpl_subtitle  = 'AD EBiS¥¿¥°Ëä¤á¹þ¤ßµ¡Ç½';
         $this->tpl_uniqid    = '';
         
@@ -84,6 +81,4 @@
 /* ¥Ñ¥é¥á¡¼¥¿¾ðÊó¤Î½é´ü²½ */
 function lfInitParam($objFormParam) {
-	$objFormParam->addParam("¥æ¡¼¥¶ID", "user", STEXT_LEN, "KVa", array("EXIST_CHECK", "MAX_LENGTH_CHECK"));
-	$objFormParam->addParam("¥Ñ¥¹¥ï¡¼¥É", "pass", STEXT_LEN, "KVa", array("EXIST_CHECK", "MAX_LENGTH_CHECK"));
     $objFormParam->addParam("¥í¥°¥¤¥óURL", "login_url", STEXT_LEN, "KVa", array("EXIST_CHECK", "MAX_LENGTH_CHECK", "URL_CHECK"));
     $objFormParam->addParam("EBiS°ú¿ô", "cid", STEXT_LEN, "KVa", array("EXIST_CHECK", "MAX_LENGTH_CHECK"));
@@ -103,7 +98,38 @@
 }
 
-/* CSV¼èÆÀ */
+/**
+ * ¥«¥Æ¥´¥êÊ¸»úÎó¤ò¼èÆÀ(¥«¥Æ¥´¥ê¡ä¥«¥Æ¥´¥ê¡ä¥«¥Æ¥´¥ê¡ä)
+ * 
+ * @param int $category_id ¥«¥Æ¥´¥êID
+ * @param str $sep ¥«¥Æ¥´¥ê¤Î¶èÀÚ¤êÊ¸»ú
+ * return ¥«¥Æ¥´¥êÊ¸»úÎó(¥«¥Æ¥´¥ê¡ä¥«¥Æ¥´¥ê¡ä¥«¥Æ¥´¥ê¡ä)
+ */ 
+function lfGetCategoriesStr($category_id, $sep = ' > ') {
+    $tbl_category = 'dtb_category';
+    
+    // ¿Æ¥«¥Æ¥´¥êID¤ÎÇÛÎó
+    $arrParentsCatId = sfGetParents(null, $tbl_category, 'parent_category_id', 'category_id', $category_id);
+    
+    // WHERE¶ç¤ò¹½ÃÛ
+    $where = str_repeat('category_id = ? OR ' , count($arrParentsCatId));
+    $where = preg_replace('/OR $/', '', $where);
+
+    // ¥«¥Æ¥´¥êÌ¾¤ò¼èÆÀ
+    $objQuery = new SC_Query();
+    $arrRet   = $objQuery->select('category_name', $tbl_category, $where, $arrParentsCatId);
+    
+    // ¥«¥Æ¥´¥ê¡ä¥«¥Æ¥´¥ê¡ä¥«¥Æ¥´¥ê...¤ò¹½ÃÛ
+    $categories_str = '';
+    foreach($arrRet as $category) {
+        $categories_str .= $category['category_name'] . $sep;
+    }
+    
+    return $categories_str;
+}
+
+/** CSV¼èÆÀ **/
 function lgGetCsvData() {
-    $csv  = lfGetDetailPageCSV();
+    $csv  = '"¥Ú¡¼¥¸ID","¥¿¥¤¥È¥ë","URL"' . "\n";
+    $csv .= lfGetDetailPageCSV();
     $csv .= lfGetListPageCSV();
     $csv .= lfGetFrontPageCSV();
@@ -111,8 +137,8 @@
 }
 
-/* ¾¦ÉÊ¾ÜºÙ¥Ú¡¼¥¸¤ÎCSV¤ò¼èÆÀ */
+/** ¾¦ÉÊ¾ÜºÙ¥Ú¡¼¥¸¤ÎCSV¤ò¼èÆÀ **/
 function lfGetDetailPageCSV() {
     $table    = 'dtb_products';
-    $colmuns  = 'product_id, name';
+    $colmuns  = 'product_id, name, category_id';
     $objQuery = new SC_Query();
     
@@ -120,12 +146,12 @@
     
     $arrCSV = array();
-    foreach ($arrRet as $key => $product) {
+    foreach ($arrRet as $index => $product) {
         $id  = $product['product_id'];
         $url = SITE_URL . 'products/detail.php?product_id=';
-        $title = str_replace('"', '\"', $product['name']);
-        
-        $arrCSV[$key]['page_id']    = '"' . 'detail-p' . $id . '"';
-        $arrCSV[$key]['page_title'] = '"' . $title . '"';
-        $arrCSV[$key]['url']        = '"' . $url . $id . '"';
+        $title = lfGetCategoriesStr($product['category_id']) . $product['name'];
+        
+        $arrCSV[$index]['page_id']    = 'detail-p' . $id;
+        $arrCSV[$index]['page_title'] = $title;
+        $arrCSV[$index]['url']        = $url . $id;
     }
     
@@ -133,5 +159,5 @@
 }
 
-/* ¾¦ÉÊ°ìÍ÷¥Ú¡¼¥¸¤ÎCSV¤ò¼èÆÀ */
+/** ¾¦ÉÊ°ìÍ÷¥Ú¡¼¥¸¤ÎCSV¤ò¼èÆÀ **/
 function lfGetListPageCSV() {
     $table    = 'dtb_category';
@@ -142,12 +168,12 @@
     
     $arrCSV = array();
-    foreach ($arrRet as $key => $category) {
+    foreach ($arrRet as $index => $category) {
         $id  = $category['category_id'];
         $url = SITE_URL . 'products/list.php?category_id=';
-        $title = str_replace('"', '\"', $category['category_name']);
-        
-        $arrCSV[$key]['page_id']    = '"' . 'list-c' . $id . '"';
-        $arrCSV[$key]['page_title'] = '"' . $title . '"';
-        $arrCSV[$key]['url']        = '"' . $url . $id . '"';
+        $title = $category['category_name'];
+        
+        $arrCSV[$index]['page_id']    = 'list-c' . $id;
+        $arrCSV[$index]['page_title'] = $title;
+        $arrCSV[$index]['url']        = $url . $id;
     }
     return lfCreateCSV($arrCSV);
@@ -156,36 +182,43 @@
 function lfCreateCSV ($arrCSV) {
     $csv_str = '';
-    foreach ($arrCSV as $csv) {
-        $csv_str .= join(',', $csv) . "\n";
-    }
+    $max = count($arrCSV);
+    for ($i=0; $i < $max; $i++) {
+        foreach (array('page_id', 'page_title', 'url') as $key) {
+            $arrCSV[$i][$key] = sprintf(
+                '"%s"',
+                str_replace('"', '""', $arrCSV[$i][$key])
+            );
+        }
+        $csv_str .= join(',', $arrCSV[$i]) . "\n";
+    }
+    
     return $csv_str;
 }
 
-/* ¤½¤ÎÂ¾¥Ú¡¼¥¸¤ÎCSV¤ò¼èÆÀ */
+/** ¤½¤ÎÂ¾¥Ú¡¼¥¸¤ÎCSV¤ò¼èÆÀ **/
 function lfGetFrontPageCSV() {
     // ¹àÌÜÄÉ²Ã¤ÎºÝ¤Ï²¼µ­Ï¢ÁÛÇÛÎó¤òÄÉ²Ã¡£
     // page_title,url¤ÏÇ¤°Õ¡¢¤Ê¤¤¾ì¹ç¤Ïpage_id¤«¤é¼«Æ°À¸À®¤µ¤ì¤ë
-    // 'page_id' => 'top', 'page_title' => '' , 'url' => 'index.php'
+    // 'page_id' => 'top', 'page_title' => '¥È¥Ã¥×' , 'url' => 'index.php'
     $arrList = array(
-        array('page_id' => 'top', 'page_title' => '' , 'url' => 'index.php'),
-        array('page_id' => 'abouts_index'),
-        array('page_id' => 'cart_index'),
-        array('page_id' => 'contact_index'),
-        array('page_id' => 'contact_confirm', 'page_title' => '', 'url' => 'contact/index.php'),
-        array('page_id' => 'contact_complete'),
-        array('page_id' => 'order_index'),
-        array('page_id' => 'entry_kiyaku'),
-        array('page_id' => 'entry_index'),
-        array('page_id' => 'entry_confirm', 'page_title' => '', 'url' => 'entry/index.php'),
-        array('page_id' => 'regist_complete', 'page_title' => '', 'url' => 'entry/complete.php'),
-        array('page_id' => 'products_favorite'),
-        array('page_id' => 'shopping_deliv'),
-        array('page_id' => 'shopping_payment'),
-        array('page_id' => 'shopping_confirm'),
-        array('page_id' => 'thanks', 'page_title' => '', 'url' => 'shopping/complete.php'),
-        array('page_id' => 'mypage_index'),
-        array('page_id' => 'mypage_change'),
-        array('page_id' => 'mypage_change_confirm', 'page_title' => '', 'url' => 'mypage/change.php'),
-        array('page_id' => 'mypage_change_complete', 'page_title' => '', 'url' => 'mypage/change_complete.php'),
+        array('page_id' => 'top', 'page_title' => '¥È¥Ã¥×' , 'url' => 'index.php'),
+        array('page_id' => 'abouts_index', 'page_title' => 'Åö¥µ¥¤¥È¤Ë¤Ä¤¤¤Æ'),
+        array('page_id' => 'cart_index', 'page_title' => 'Çã¤¤Êª¤«¤´¡Ê¥È¥Ã¥×¡Ë'),
+        array('page_id' => 'contact_index', 'page_title' => '¤ªÌä¤¤¹ç¤ï¤»¡ÊÆþÎÏ¡Ë'),
+        array('page_id' => 'contact_confirm', 'page_title' => '¤ªÌä¤¤¹ç¤ï¤»¡Ê³ÎÇ§¡Ë', 'url' => 'contact/index.php'),
+        array('page_id' => 'contact_complete', 'page_title' => '¤ªÌä¤¤¹ç¤ï¤»¡Ê´°Î»¡Ë'),
+        array('page_id' => 'order_index', 'page_title' => '¹ØÆþ¡ÊÆþÎÏ¡Ë'),
+        array('page_id' => 'entry_kiyaku', 'page_title' => '¤´ÍøÍÑµ¬Ìó'),
+        array('page_id' => 'entry_index', 'page_title' => '²ñ°÷ÅÐÏ¿¡ÊÆþÎÏ'),
+        array('page_id' => 'entry_confirm', 'page_title' => '²ñ°÷ÅÐÏ¿¡Ê³ÎÇ§¡Ë', 'url' => 'entry/index.php'),
+        array('page_id' => 'regist_complete', 'page_title' => '²ñ°÷ÅÐÏ¿¡Ê´°Î»¡Ë', 'url' => 'entry/complete.php'),
+        array('page_id' => 'shopping_deliv', 'page_title' => '¹ØÆþ¡Ê¤ªÆÏ¤±Àè»ØÄê¡Ë'),
+        array('page_id' => 'shopping_payment', 'page_title' => '¹ØÆþ¡Ê¤ª»ÙÊ§¤¤ÊýË¡»ØÄê¡Ë'),
+        array('page_id' => 'shopping_confirm', 'page_title' => '¹ØÆþ¡Ê³ÎÇ§¡Ë'),
+        array('page_id' => 'thanks', 'page_title' => '¹ØÆþ¡Ê´°Î»', 'url' => 'shopping/complete.php'),
+        array('page_id' => 'mypage_index', 'page_title' => 'MY¥Ú¡¼¥¸¡Ê¥È¥Ã¥×¡Ë'),
+        array('page_id' => 'mypage_change', 'page_title' => 'MY¥Ú¡¼¥¸ > ²ñ°÷ÅÐÏ¿ÆâÍÆÊÑ¹¹¡ÊÆþÎÏ¡Ë'),
+        array('page_id' => 'mypage_change_confirm', 'page_title' => 'MY¥Ú¡¼¥¸ > ²ñ°÷ÅÐÏ¿ÆâÍÆÊÑ¹¹¡Ê³ÎÇ§¡Ë', 'url' => 'mypage/change.php'),
+        array('page_id' => 'mypage_change_complete', 'page_title' => 'MY¥Ú¡¼¥¸ > ²ñ°÷ÅÐÏ¿ÆâÍÆÊÑ¹¹¡Ê´°Î»¡Ë', 'url' => 'mypage/change_complete.php'),
     );
     
@@ -205,3 +238,4 @@
     return lfCreateCSV($arrList);
 }
+
 ?>
Index: /branches/dev/data/downloads/module/mdl_ebis_tag/ebis_tag.tpl
===================================================================
--- /branches/dev/data/downloads/module/mdl_ebis_tag/ebis_tag.tpl	(revision 15049)
+++ /branches/dev/data/downloads/module/mdl_ebis_tag/ebis_tag.tpl	(revision 15072)
@@ -75,18 +75,4 @@
 									
 									<table width="440" border="0" cellspacing="1" cellpadding="8" summary=" ">
-										<tr class="fs12n">
-											<td width="90" bgcolor="#f3f3f3">¥æ¡¼¥¶ID<span class="red">¢¨</span></td>
-											<td width="337" bgcolor="#ffffff">
-											<span class="red"><!--{$arrErr.user}--></span>
-											<input type="text" name="user" size="30" style="<!--{$arrErr.user|sfGetErrorColor}-->" value="<!--{$arrForm.user.value}-->" class="box30" maxlength="50"/>
-											</td>
-										</tr>	
-										<tr class="fs12n">
-											<td width="90" bgcolor="#f3f3f3">¥Ñ¥¹¥ï¡¼¥É<span class="red">¢¨</span></td>
-											<td width="337" bgcolor="#ffffff">
-											<span class="red"><!--{$arrErr.pass}--></span>
-											<input type="password" name="pass" size="30" style="<!--{$arrErr.pass|sfGetErrorColor}-->" value="<!--{$arrForm.pass.value}-->" class="box30" maxlength="50"/>
-											</td>
-										</tr>
 										<tr class="fs12n">
 											<td width="90" bgcolor="#f3f3f3">¥í¥°¥¤¥óURL<span class="red">¢¨</span></td>